DROP TABLE IF EXISTS tw_hpilo;

CREATE TABLE
    tw_hpilo (
        uid int(10) unsigned NOT NULL AUTO_INCREMENT,
        customer varchar(100) NOT NULL COMMENT '고객정보',
        id varchar(20) NOT NULL DEFAULT 'Administrator' COMMENT 'API IP Address',
        passwd varchar(20) NOT NULL COMMENT 'Password',
        ip varchar(50) NOT NULL COMMENT 'API IP Address',
        port int(5) unsigned NOT NULL COMMENT 'API Port',
        model varchar(255) NOT NULL DEFAULT 'model' COMMENT 'model',
        processor varchar(255) NOT NULL DEFAULT 'none' COMMENT 'processor',
        memory int(4) unsigned NOT NULL DEFAULT '0' COMMENT 'memory',
        health varchar(10) NOT NULL DEFAULT 'OK' COMMENT 'All Device Health',
        power varchar(10) NOT NULL DEFAULT 'Off' COMMENT 'Power status',
        detail text NOT NULL DEFAULT '' COMMENT '상세내용',
        status varchar(10) NOT NULL DEFAULT 'use',
        updated_at timestamp NULL DEFAULT NULL,
        created_at timestamp NOT NULL DEFAULT current_timestamp(),
        PRIMARY KEY (uid),
        UNIQUE KEY (ip,port)
    ) ENGINE = MyISAM DEFAULT CHARSET = utf8 COLLATE = utf8_general_ci COMMENT = 'hpilo 정보';